commit:     7686d9b7c1cf6cf5136f9128a9b231efc8577a85
Author:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 12 17:14:32 2020 +0000
Commit:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Sun Apr 12 17:14:32 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7686d9b7

app-portage/pfl: Version bump to pfl-3.1.

This fixes bugs #634530, #679770, #699524, #700974 and #713986.

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Daniel Pielmeier <billie <AT> gentoo.org>

 app-portage/pfl/Manifest       |  1 +
 app-portage/pfl/pfl-3.1.ebuild | 51 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-portage/pfl/Manifest b/app-portage/pfl/Manifest
index 97f3f7b0d33..cac43b3dbe4 100644
--- a/app-portage/pfl/Manifest
+++ b/app-portage/pfl/Manifest
@@ -1,2 +1,3 @@
 DIST pfl-3.0.1.tar.bz2 4635 BLAKE2B 
9610c46e3096bc5f2ff212980026b36b99056a9839b179c2618c3c7d508b90ecb21b0fa566eef54e6a24957251934b04b0013af41b88de57e7e1db558831d883
 SHA512 
f045ca21360f33f87816e72a4564d862275ea1415b3a79e32815aaa20d7548da3f38ca9ee9247db3150adbdd54155b330c4ae6d3bee878db6cd5cf78dada81b5
 DIST pfl-3.0.tar.bz2 4332 BLAKE2B 
8e1dd17d0017cd972c02a9e8d3610a036447d7b898c6f0a9557ef2c598c0581a09ee7a72ca04860f3695d06d3fe3ee9426a99b1158db71e232ccaff69479d068
 SHA512 
94f7cc575689f46a0b9ce50c3de7d6a42767766c8c447616c7f3587438a6b3c09e5d00b3b80cd71b0d386ead1e396d49aa266ff408146f85b18e25ebfe887108
+DIST pfl-3.1.tar.gz 5521 BLAKE2B 
fdc6e82c5d61d694a188c479b0566aafc507bcc2bbd1f176cd2771586b13de86a43a5d2e156beb4c9b5d10cd718046a05fce099894430c8f3d04c0922078e988
 SHA512 
b2bf79445a5b15caf339106f376d64accf5aad2c60038ba88180d64ce49e23dc3015efa2fcbeec886ba591cada053dfdc96873bda71b092be4622608062b6dcc

diff --git a/app-portage/pfl/pfl-3.1.ebuild b/app-portage/pfl/pfl-3.1.ebuild
new file mode 100644
index 00000000000..fd8eeb3e30e
--- /dev/null
+++ b/app-portage/pfl/pfl-3.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_REQ_USE="xml"
+
+inherit distutils-r1 systemd
+
+DESCRIPTION="Searchable online file/package database for Gentoo"
+HOMEPAGE="http://www.portagefilelist.de 
https://github.com/portagefilelist/client";
+SRC_URI="https://github.com/portagefilelist/client/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux ~x64-macos"
+IUSE="+network-cron"
+
+DEPEND=""
+RDEPEND="
+       ${DEPEND}
+       dev-python/requests[${PYTHON_USEDEP}]
+       net-misc/curl
+       sys-apps/portage[${PYTHON_USEDEP}]
+       network-cron? ( sys-apps/util-linux[caps] )
+"
+
+S="${WORKDIR}/client-${PV}"
+
+python_install_all() {
+       if use network-cron ; then
+               exeinto /etc/cron.weekly
+               doexe cron/pfl
+       fi
+
+       systemd_dounit systemd/pfl.{service,timer}
+
+       keepdir /var/lib/${PN}
+
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       if [[ ! -e "${EROOT}/var/lib/${PN}/pfl.info" ]]; then
+               touch "${EROOT}/var/lib/${PN}/pfl.info" || die
+       fi
+       chown -R portage:portage "${EROOT}/var/lib/${PN}" || die
+       chmod 775 "${EROOT}/var/lib/${PN}" || die
+}

Reply via email to